﻿Imports ESRI.ArcGIS.Framework
Imports ESRI.ArcGIS.ArcMapUI
Imports ESRI.ArcGIS.Carto
Imports ESRI.ArcGIS.Desktop
Imports GPSLayer

Public Class AddGPSLayerButton
	Inherits ESRI.ArcGIS.Desktop.AddIns.Button

	Public Sub New()

	End Sub

	Protected Overrides Sub OnClick()

		Dim pDoc As IMxDocument
		Dim pMap As IMap
		Dim pLayers As IEnumLayer
		Dim pLayer As ILayer

		pDoc = My.ArcMap.Document
		pMap = pDoc.FocusMap
		pLayers = pMap.Layers(Nothing, True)
		pLayers.Reset()
		pLayer = pLayers.Next
		Do While Not pLayer Is Nothing
			If TypeOf pLayer Is IGPSLayer Then
				MsgBox("Layer already added", MsgBoxStyle.Exclamation)
				Exit Sub
			End If
			pLayer = pLayers.Next
		Loop

		' Add layer

		Dim pGPSLayer As GPSLayerClass

		pGPSLayer = New GPSLayerClass
		pMap.AddLayer(pGPSLayer)

	End Sub

	Protected Overrides Sub OnUpdate()

	End Sub
End Class
